﻿using System;

namespace Inedo.Consolation
{
    /// <summary>
    /// Indicates that a command argument value is required.
    /// </summary>
    [AttributeUsage(AttributeTargets.Parameter, AllowMultiple = false)]
    public sealed class RequiredValueAttribute : Attribute
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="RequiredValueAttribute"/> class.
        /// </summary>
        public RequiredValueAttribute()
        {
        }
    }
}
